import { MutexExecution } from "../utils/mutexExecution";
import { AppParam } from "../types/types";
import { Web3Service } from "../config/ethersConfig";
import { ethers } from "ethers";
export declare class ContractService {
    web3Service: Web3Service;
    appListMutex: MutexExecution<any, AppParam[]>;
    balanceTimeMutex: MutexExecution<string, Date>;
    OrderPayment: ethers.Contract;
    socketContracts: {
        AppDeployment: ethers.Contract;
        SubscriptionBalance: ethers.Contract;
        SubnetCluster: ethers.Contract;
    };
    constructor(web3Service: Web3Service);
    setup: () => Promise<void>;
    setupContracts: (signer: any) => void;
    getOrderPayment: () => ethers.Contract;
}
