import { SystemLog } from "../types/types";
import { DatabaseWriterExecution } from "../utils/databaseWriterExecution";
import { COService } from "../utils/service";
import { DatabaseService } from "./databaseService";
export declare class SystemLogService implements COService {
    logList: SystemLog[];
    databaseWriter: DatabaseWriterExecution<SystemLog>;
    databaseService: DatabaseService;
    constructor(databaseService: DatabaseService);
    setup: () => Promise<void>;
    addSystemLogInternal: (systemLog: SystemLog) => Promise<void>;
    addSystemLog: (systemLog: SystemLog) => Promise<void>;
    pushSysLogsToDatabase: () => Promise<void>;
    getAllSysLogs: () => Promise<import("../types/types").APICallReturn<SystemLog[]>>;
    update: () => Promise<void>;
}
