import { APICallReturn } from "../types/types";
import { MutexExecution } from "./mutexExecution";
export declare class APIRetryExecution<P, O, E = Error> extends MutexExecution<P, O, E> {
    tryTimes: number;
    constructor(maxCapacity: number, executeFunc: (param: P) => Promise<APICallReturn<O, E>>, tryTimes?: number);
    execute(param: P): Promise<APICallReturn<O, E>>;
}
