export declare const NFT_EVENT_ID_MAP: {
    CREATE_APP: number;
    UPDATE_APP: number;
    DELETE_APP: number;
    BALANCE_ADDED: number;
    BALANCE_WITHDRAWN: number;
    CRON_TIMEOUT: number;
    UPDATE_BATCH: number;
};
export declare const EXECUTION_QUEUE_SLEEP_TIME: number;
export declare const SERVER_DOWN_CODES: number[];
export declare const RESOURCE_TYPE_CONFIGURATION: {
    CPU_Standard: {
        CPU: number;
        Memory: number;
    };
    CPU_Intensive: {
        CPU: number;
        Memory: number;
    };
    GPU_Standard: {
        CPU: number;
        Memory: number;
    };
};
export declare const RESOURCE_TYPE_ID_MAP: {
    0: string;
    1: string;
    2: string;
    3: string;
    4: string;
};
export declare const RESOURCE_TYPE_CATEGORIES: {
    cpuInstance: number[];
    storageInstance: number[];
    bandwidthInstance: number[];
};
