import { HeartBeat } from "../types/types";
import { DatabaseWriterExecution } from "../utils/databaseWriterExecution";
import { COService } from "../utils/service";
import { DatabaseService } from "./databaseService";
import { SystemLogService } from "./systemLogService";
export declare class HeartBeatService implements COService {
    databaseService: DatabaseService;
    databaseWriter: DatabaseWriterExecution<HeartBeat>;
    systemLogService: SystemLogService;
    constructor(databaseService: DatabaseService, systemLogService: SystemLogService);
    setup: () => Promise<void>;
    pushHeartBeatToDatabase: () => Promise<void>;
    update: () => Promise<void>;
}
