import { APICallReturn } from "../types/types";
import Mutex from "./mutex";
export declare class MutexExecution<P, O, E = Error> {
    curCount: number;
    maxCapacity: number;
    mutex: Mutex;
    executeFunc: (param: P) => Promise<APICallReturn<O, E>>;
    constructor(maxCapacity: number, executeFunc: (param: P) => Promise<APICallReturn<O, E>>);
    execute(param: P): Promise<APICallReturn<O, E>>;
    setMaxCapacity: (maxCapacity: number) => void;
}
